This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 75653 - mount -o remount ro /mount_point does not work
Summary: mount -o remount ro /mount_point does not work
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mount (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-10 18:23 UTC by Need Real Name
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-14 17:34:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-10-10 18:23:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
mount -o remount ro /mount_point  then command completes with no error but when
you do a mount listing the /mount_point is still rw  

you can mount the file_sytem ro and change to rw but once it the files system is
read write it can't be remounted read only.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:

1. mount any file system rw
   * fstab entry
/dev/Volume02/fileserver03 /file_server ext3  defaults 1 2

   [root@trinity root]#mount /file_server

2. try to remount the file sytem ro

   root@trinity root]#mount -o remount ro /file_server

3. display  [root@trinity root]#mount

/dev/Volume02/fileserver03 on /file_server type ext3 (rw)


   
	

Actual Results:  root@trinity root]# mount -o remount ro /file_server/
[root@trinity root]# echo $?
0

root@trinity root]# mount

/dev/Volume02/fileserver03 on /file_server type ext3 (rw)


Expected Results:  /dev/Volume02/fileserver03 on /file_server type ext3 (ro)


Additional info:

Comment 1 Elliot Lee 2003-01-14 17:34:21 UTC
Your instructions had a space in between "remount" and "ro" - if that's really what you 
typed to reproduce the problem, that's incorrect, and you need to use a comma instead to 
separate the "remount" and "ro" options.

When using a space, I can reproduce your problem. Using a comma, everything works 
fine.


Note You need to log in before you can comment on or make changes to this bug.